package com.heyu.api.data.dao.ota;
/**
* <p>
* OTA升级记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.ota.OtaRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OtaRecordDao extends BaseMapper<OtaRecordEntity> {


	OtaRecordEntity selectOtaRecordById(@Param("id")Long id);


	Long insertOtaRecord(OtaRecordEntity otaRecord);


	Long insertOrUpdateOtaRecord(OtaRecordEntity otaRecord);


	int updateOtaRecordById(OtaRecordEntity otaRecord);


	int updateCoverOtaRecordById(OtaRecordEntity otaRecord);


	int deleteOtaRecordById(@Param("id")Long id);


}